@import './variables';
@import './typography';
@import './buttons';

.cs-list-heading-light {
    display: flex;
    flex-direction: column;
    padding: 0 5rem var(--eui-base-spacing-4xl) 5rem;
    background: linear-gradient(to bottom, var(--eui-base-color-primary-10), var(--eui-base-color-white));

    &-header {
        margin: var(--eui-base-spacing-3xl) 0 var(--eui-base-spacing-m) 0;
        color: var(--eui-c-branding) !important;
        font-weight: 700 !important;
    }

    &-description {
        max-width: 70%;
        margin-bottom: var(--eui-base-spacing-m);
    }

    &-button {
        margin: var(--eui-base-spacing-m) 0;

        &-link {
            background-color: var(--eui-base-color-primary-5) !important;
        }

        &-link:hover {
            background-color: var(--eui-c-branding) !important;
        }
    }
}

.cs-list-light-filter {
    padding: var(--eui-base-spacing-3xl) 0 var(--eui-base-spacing-m) 0;
}

.cs-list-light-wrapper {
    padding: 0 5rem 5rem 5rem;
}

@media (max-width: $deviceSizeS) {
    .cs-list-light-heading, .cs-list-light-wrapper {
        padding: 0 var(--eui-base-spacing-s);
    }

    .eui-table--responsive {
        max-width: calc(100vw - var(--eui-base-spacing-s) * 2);

            tbody {
                max-width: calc(100vw - var(--eui-base-spacing-s) * 2);

                td {
                    overflow: auto;
                    width: 100%;
                    padding-left: var(--eui-base-spacing-xs) !important;
                }
            }
    }
}
